# Poco::Net

# class ICMPEventArgs

Library: Net
Package: ICMP
Header: Poco/Net/ICMPEventArgs.h

## Description

The purpose of the ICMPEventArgs class is to be used as template parameter to instantiate event members in ICMPClient class. When clients register for an event notification, the reference to the class is passed to the handler function to provide information about the event.

## Member Summary

Member Functions: avgRTT, dataSize, error, hostAddress, hostName, maxRTT, minRTT, percent, received, repetitions, replyTime, sent, ttl

## Constructors

### ICMPEventArgs

ICMPEventArgs(
const SocketAddress & address,
int repetitions,
int dataSize,
int ttl
);

Creates ICMPEventArgs.

## Destructor

### ~ICMPEventArgs

virtual ~ICMPEventArgs();

Destroys ICMPEventArgs.

## Member Functions

### avgRTT

int avgRTT() const;

Returns the average round trip time for a sequence of requests.

### dataSize

int dataSize() const;

Returns the packet data size in bytes.

### error

const std::string & error(
int index = - 1
) const;

Returns the error string for the request specified with index. If index == -1 (default), returns the most recent error string.

### hostAddress

std::string hostAddress() const;

Returns the target IP address.

### hostName

std::string hostName() const;

Tries to resolve the target IP address into host name. If unsuccessful, all exceptions are silently ignored and the IP address is returned.

### maxRTT

int maxRTT() const;

Returns the maximum round trip time for a sequence of requests.

### minRTT

int minRTT() const;

Returns the minimum round trip time for a sequence of requests.

### percent

float percent() const;

Returns the success percentage for a sequence of requests.

### received

int received() const;

Returns the number of packets received.

### repetitions

int repetitions() const;

Returns the number of repetitions for the ping operation.

### replyTime

int replyTime(
int index = - 1
) const;

Returns the reply time for the request specified with index. If index == -1 (default), returns the most recent reply time.

### sent

int sent() const;

Returns the number of packets sent.

### ttl

int ttl() const;

Returns time to live.